> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List daily consumption summaries

GET https://rest.test.zuora.com/object-query/daily-consumption-summaries

Lists daily consumption summaries. You can use the query parameters to filter, expand, and sort the returned results.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/object-query/object-queries/query-daily-consumption-summaries

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `pageSize` (integer, optional, default: 10) — The maximum number of results to return in a single page. If the specified `pageSize` is less than 1 or greater than 99, Zuora will return a 400 error.
- `cursor` (string, optional) — A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with `next_page=W3sib3JkZXJ=`, your subsequent call can include `cursor=W3sib3JkZXJ=` in order to fetch the next page of the list.
- `sort[]` (list of string, optional) — A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. `accountnumber.ASC`) or descending (e.g. `accountnumber.DESC`). You cannot sort on properties in arrays. If the array-type properties are specified for the `sort[]` parameter, they are ignored. Supported sortable fields: - id - updateddate
- `expand[]` (list of string, optional) — Allows you to expand responses by including related object information in a single call.
- `filter[]` (list of string, optional) — A case-insensitive filter on the list. Supported filterable fields: - id - updateddate
- `fields[]` (list of string, optional) — A case-insensitive query parameter that allows you to specify which fields are returned in the response.
- `includeNullFields` (boolean, optional, default: false) — Specifies whether to include fields with the `null` value in the response. - If set to `true`, all fields will be returned in the response, including those with the `null` value. - If set to `false`, only fields with non-null values will be returned.

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `nextPage` (string, optional, nullable) — A string that can be used as the `cursor` value to retrieve the next page of the response if it exists; otherwise absent.
- `data` (list of ExpandedDailyConsumptionSummary, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

### 400 Client Request Error

Invalid input

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

## Types

### ExpandedDailyConsumptionSummary

- `id` (string, optional) — The unique identifier of the daily consumption summary.
- `originChargeId` (string, optional) — The unique identifier of the charge.
- `chargeSegmentNumber` (integer, optional) — The charge segment number.
- `fundId` (string, optional) — The unique identifier of the fund.
- `dailyConsumptionAmount` (double, optional) — The daily consumption amount.
- `dailyTotalQuantity` (double, optional) — The total quantity consumed daily.
- `transactionDate` (date, optional) — The date of the transaction.
- `ratingResultId` (string, optional) — The unique identifier of the rating result.
- `dailyGroupSummaryId` (string, optional) — The unique identifier of the daily group summary.
- `createdById` (string, optional) — The unique identifier of the user who created the daily consumption summary.
- `createdDate` (datetime, optional) — The date and time when the daily consumption summary was created.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the daily consumption summary.
- `updatedDate` (datetime, optional) — The date and time when the daily consumption summary was last updated.
- `drawdownOriginChargeId` (string, optional) — The unique identifier of the original drawdown charge.
- `drawdownChargeSegmentNumber` (integer, optional) — The charge segment number of the drawdown charge.
- `drawdownRecognizedRevenueGlAccountNumber` (string, optional) — The GL account number of the recognized revenue for the drawdown charge.
- `drawdownAdjustmentRevenueGlAccountNumber` (string, optional) — The GL account number of the adjusted revenue for the drawdown charge.
- `usageChargeName` (string, optional) — The name of the usage charge.
- `usageChargeNumber` (string, optional) — The number of the usage charge.

### CommonOqErrorResponseReasonsItems

- `code` (integer, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "nextPage": "W3sib3JkZXIiOiIxMjM0NTY3ODkwIn1d",
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
      "originChargeId": "chg_9876543210abcdef",
      "chargeSegmentNumber": 2,
      "fundId": "fund_1234567890abcdef",
      "dailyConsumptionAmount": 254.75,
      "dailyTotalQuantity": 1500.5,
      "transactionDate": "2024-04-20",
      "ratingResultId": "rate_abcdef1234567890",
      "dailyGroupSummaryId": "grp_1234abcd5678efgh",
      "createdById": "user_0011223344556677",
      "createdDate": "2024-04-21T08:15:30Z",
      "updatedById": "user_889900aabbccddeeff",
      "updatedDate": "2024-04-22T10:45:00Z",
      "drawdownOriginChargeId": "chg_abcdef1234567890",
      "drawdownChargeSegmentNumber": 1,
      "drawdownRecognizedRevenueGlAccountNumber": "4000-100",
      "drawdownAdjustmentRevenueGlAccountNumber": "4000-200",
      "usageChargeName": "Data Transfer Usage",
      "usageChargeNumber": "UC-20240420-01"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/object-query/daily-consumption-summaries"

querystring = {"fields[]":"[\"id,createddate\"]"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/object-query/daily-consumption-summaries?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```